EPPDomainBase (EPP RTK Java API Documentation)
Keywords: com.tucows.oxrs.epp0604.rtk.xml.EPPDomainBase class

### com.tucows.oxrs.epp0604.rtk.xml

# Class EPPDomainBase

- `org.omg.CORBA.portable.ObjectImpl`
- - `com.tucows.oxrs.epp0604.rtk.RTKBase`
  - - `com.tucows.oxrs.epp0604.rtk.xml.EPPXMLBase`
    - - `com.tucows.oxrs.epp0604.rtk.xml.EPPDomainBase`

Known Direct Subclasses:
  EPPDomainCheck, EPPDomainCreate, EPPDomainDelete, EPPDomainInfo, EPPDomainRenew, EPPDomainTransfer, EPPDomainUpdate

`public abstract class EPPDomainBase`
`extends EPPXMLBase`

Base abstract class for the Domain classes. Defines common methods and data methods used by all or most Domain classes.

  ## Field Summary
  `protected static Hashtable` | `contact_type_hash_`
  `protected static Hashtable` | `domain_status_hash_` Hashtable to allow for conversion from String domain status to epp_DomainStatusType.

  ### Fields inherited from class com.tucows.oxrs.epp0604.rtk.xml.EPPXMLBase
  `auth_type_string_to_type_hash_`, `auth_type_to_string_array_`, `transfer_op_to_string_array_`, `transfer_status_to_type_hash_`, `xml_`

  ### Fields inherited from class com.tucows.oxrs.epp0604.rtk.RTKBase
  `CRLF`, `DATE_FMT`, `DEBUG_LEVEL_ONE`, `DEBUG_LEVEL_THREE`, `DEBUG_LEVEL_TWO`, `DEBUG_NONE`, `RTK_VERSION`, `UTC_FMT`

  ## Constructor Summary
  `EPPDomainBase()` Default constructor.
  `EPPDomainBase(String xml)` Constructor with XML String Also initializes the static Hashtables.

  ## Method Summary
  `static String` | `domainContactTypeToString(epp_DomainContactType contact_type)` Convenience method to transform an epp_DomainContactType to a real domain type string (i.e.
  `static epp_DomainStatusType` | `domainStatusFromString(String s)` Convenience method to convert a string status to an instance of epp_DomainStatusType.
  `static String` | `domainStatusToString(epp_DomainStatusType status_type)` Convenience method to transform an epp_DomainStatusType to a real domain status string.
  `static epp_DomainTrnData` | `getTrnData(NodeList transfer_data_list)`
  `protected static void` | `initContactTypeHash()`
  `protected static void` | `initDomainStatusHash()`
  `static void` | `initHashes()`
  `protected void` | `setCommonAttributes(Element command)` Sets the common XML attributes required for the domain object (eg.

  ### Methods inherited from class com.tucows.oxrs.epp0604.rtk.xml.EPPXMLBase
  `addXMLElement`, `convertListToArray`, `convertListToStringArray`, `createDocRoot`, `createXMLFromDoc`, `getAvailResultFor`, `getCheckResultFor`, `getDocumentElement`, `getElement`, `getExtensionNode`, `getNode`, `getXML`, `initAuthInfoStringToTypeHash`, `initHashes`, `initTransferStatusToTypeHash`, `parseGenericCheckResults`, `parseGenericResult`, `prepareAuthInfo`, `prepareCreds`, `prepareExtensionElement`, `stringListToXML`, `transferStatusFromString`, `transferStatusToString`

  ### Methods inherited from class com.tucows.oxrs.epp0604.rtk.RTKBase
  `_ids`, `debug`, `debug`, `getDebugLevel`, `getDebugPrintStream`, `getRTKProperties`, `setDebugLevel`, `setDebugLevel`, `setDebugPrintStream`

## Field Details

### contact_type_hash_

    protected static Hashtable contact_type_hash_

> See Also:
>   `EPP IDL epp_domain.idl for the definition of the epp_DomainStatusType enum`

### domain_status_hash_

    protected static Hashtable domain_status_hash_

> Hashtable to allow for conversion from String domain status to epp_DomainStatusType.
> See Also:
>   `EPP IDL epp_domain.idl for the definition of the epp_DomainStatusType enum`

## Constructor Details

### EPPDomainBase

    public EPPDomainBase()

> Default constructor. Initializes the static Hashtables.

### EPPDomainBase

    public EPPDomainBase(String xml)

> Constructor with XML String Also initializes the static Hashtables.

## Method Details

### domainContactTypeToString

    public static String domainContactTypeToString(epp_DomainContactType contact_type)

> Convenience method to transform an epp_DomainContactType to a real domain type string (i.e. admin, billing, tech).

### domainStatusFromString

    public static epp_DomainStatusType domainStatusFromString(String s)

> Convenience method to convert a string status to an instance of epp_DomainStatusType.

### domainStatusToString

    public static String domainStatusToString(epp_DomainStatusType status_type)

> Convenience method to transform an epp_DomainStatusType to a real domain status string.

### getTrnData

    public static epp_DomainTrnData getTrnData(NodeList transfer_data_list)
                throws epp_XMLException

### initContactTypeHash

    protected static void initContactTypeHash()

### initDomainStatusHash

    protected static void initDomainStatusHash()

### initHashes

    public static void initHashes()

> Overrides:
>   initHashes in interface EPPXMLBase

### setCommonAttributes

    protected void setCommonAttributes(Element command)

> Sets the common XML attributes required for the domain object (eg. xmlns:domain, xsi:schemaLocation)
> Parameters:

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS